Draft Upgrade/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 6: Line 6:
==Descrizione==
==Descrizione==


Questo strumento converte più oggetti in un unico oggetto di livello superiore in diversi modi.
<div class="mw-translate-fuzzy">
Questo strumento assembla in diversi modi gli oggetti selezionati (converte più oggetti in un unico oggetto di livello superiore). Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.
</div>


The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use [[Part Union]] and related Boolean operations of the [[Part Workbench]], and [[PartDesign Boolean]] of the [[PartDesign Workbench]].
The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use [[Part Union]] and related Boolean operations of the [[Part Workbench]], and [[PartDesign Boolean]] of the [[PartDesign Workbench]].

Revision as of 19:36, 21 April 2019

Assembla

Posizione nel menu
Draft → Promuovi
Ambiente
Draft, Architettura
Avvio veloce
U P
Introdotto nella versione
-
Vedere anche
Declassa, Unione di Part

Descrizione

Questo strumento converte più oggetti in un unico oggetto di livello superiore in diversi modi.

The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use Part Union and related Boolean operations of the Part Workbench, and PartDesign Boolean of the PartDesign Workbench.

The counterpart to this tool is the Draft Downgrade operation.

Open wire upgraded to a closed wire, then to a face; a closed square upgraded to a face, and then fused with the previous face

Utilizzo

  1. Selezionare uno o più oggetti che si desidera aggiornare
  2. Premere il pulsante Template:KEY/it o premere i tasti Template:KEY/it e Template:KEY/it

The selected objects are modified or upgraded according to the following conditions, in order:

  1. If there are more than one face in the selection, the faces are merged (union).
  2. If there is only one face in the selection, nothing is done.
  3. If there is only one open wire in the selection, it gets closed, making a face.
  4. If there are only edges in the selection, all edges are joined into a wire, and the wire is closed if possible.
  5. If none of the above is possible, a compound object is created.

It is worth trying to upgrade a selection several times to see if a better shape is obtained. For example:

  1. Upgrading two Draft Lines connected at one end will result in a non-editable wire.
  2. Upgrading this element again will add a third line and close the non-editable wire.
  3. Upgrading this element again will add a face to the closed, non-editable wire.
  4. Upgrading this element again will turn it into a Draft Wire, which can be fully edited, and all its properties modified.

The resulting wire can be better manipulated than the original lines. The fusion of single lines can also be done directly with the Draft Wire tool. Some fusion operations can also be done with the Part Union tool.

Opzioni

Gli oggetti selezionati vengono modificati/assemblati seguendo l'ordine di questa lista:

  • se sono selezionate più facce, le facce vengono fuse (unione)
  • se è selezionata solo una faccia, non viene eseguito nulla
  • se è selezionato un solo contorno aperto, il contorno viene chiuso
  • Se sono selezionati solo bordi, i bordi vengono uniti in un contorno (chiuso quando è possibile)
  • Se nessuna delle precedenti operazioni è possibile, viene creato un oggetto composito

Script

Lo strumento Upgrade può essere utilizzato negli script python e nelle macro in questo modo:

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Eleva di grado l'oggetto dato (può essere un oggetto o un elenco di oggetti).
  • Se delete è true, i vecchi oggetti vengono eliminati.
  • L'attributo force può essere usato per forzare un certo tipo di upgrade. Può essere: makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires
  • Restituisce un dizionario contenente due liste, un elenco di nuovi oggetti e un elenco di oggetti da eliminare

Esempio:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)